function opt = Qn(b,matX,num_store)
% Objective function for CM estimators
% Input:
% -b: coefficients to be estimated
% -matX: \deltaX*\deltaS matrix from length-2 cycles
% -num_store: store numbers

vecXb_store = subplus(matX*(-b));
vecXb = zeros(length(vecXb_store/num_store),1);
for i = 1:length(vecXb_store)/num_store
    vecXb(i) = sum(vecXb_store((i-1)*num_store+1:i*num_store));
end
opt = max(vecXb);

end